Skip to main content
`Ctrl`+`K`

# PCFactorGetMatrix

Gets the factored matrix from the preconditioner context. This routine is valid only for the `PCLU`, `PCILU`, `PCCHOLESKY`, and `PCICC` methods.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCFactorGetMatrix(PC pc, Mat *mat)

Not Collective though `mat` is parallel if `pc` is parallel

## Input Parameter

- pc - the `PC` preconditioner context

## Output Parameters

- mat - the factored matrix

## Note

Does not increase the reference count for `mat` so DO NOT destroy it

## See Also

KSP: Linear System Solvers, `PC`, `PCLU`, `PCILU`, `PCCHOLESKY`, `PCICC`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

## Examples

src/ksp/pc/tutorials/ex2.c
src/ksp/ksp/tutorials/ex77.c
src/ksp/ksp/tutorials/ex52f.F90
src/ksp/ksp/tutorials/ex77f.F90
src/ksp/ksp/tutorials/ex57f.F90
src/ksp/ksp/tutorials/ex52.c
src/ksp/pc/tutorials/ex1.c

## Implementations

PCFactorGetMatrix_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages